try {
  $processor = Get-WmiObject Win32_Processor
  $is64bit = $processor.AddressWidth -eq 64
  if ($is64bit) {
    $unpath = "${Env:ProgramFiles(x86)}\CrystalDiskInfo\unins000.exe"
  } else {
    $unpath = "${Env:ProgramFiles}\CrystalDiskInfo\unins000.exe"
  }
  Uninstall-ChocolateyPackage 'crystaldiskinfo' 'EXE' '/VERYSILENT /SUPPRESSMSGBOXES /NORESTART /SP-' "$unpath" -validExitCodes @(0)
  
  # the following is all part of error handling
  Write-ChocolateySuccess 'crystaldiskinfo'
} catch {
  Write-ChocolateyFailure 'crystaldiskinfo' "$($_.Exception.Message)"
  throw 
}
